
Infrastructure - Task #4236

Story # 4230 (Closed): CN System Metadata needs tidying

Create persistance repository for tidy processing results

2014-01-24 15:51 - Skye Roseboom

Status: Closed Start date: 2014-01-24

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_replication_auditor Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

For each system metadata that is 'repaired', a set of database records will be generated to indicate the outcome of the merge/repair

process for the pid.

The MergeResult object will model the MN before state and the final merged state of the system metadata - each recorded in this

database record - serialized.

ChangeRecord object will model the changes in individual attributes of system metadata objects.  This table will record which

attribute changed and the source of these values.

Need to create a database persistence layer for these objects that provide basic CRUD and ability to define more targeted querying

as needed. 

History

#1 - 2014-01-24 15:52 - Skye Roseboom

- Category set to d1_replication_auditor

- Status changed from New to In Progress

#2 - 2014-01-24 15:52 - Skye Roseboom

- Status changed from In Progress to Testing

#3 - 2014-07-30 17:51 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
